Module org.hdfgroup.hdfview
Package hdf.view.TableView

# Class DataDisplayConverterFactory.HDFDisplayConverter

Object
org.eclipse.nebula.widgets.nattable.data.convert.DisplayConverter
hdf.view.TableView.DataDisplayConverterFactory.HDFDisplayConverter

All Implemented Interfaces:
  `org.eclipse.nebula.widgets.nattable.data.convert.IDisplayConverter`

Enclosing class:
  `DataDisplayConverterFactory`

public static class DataDisplayConverterFactory.HDFDisplayConverter extends org.eclipse.nebula.widgets.nattable.data.convert.DisplayConverter
the HDF extension for data converters

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `cellColIdx`
  the "container" type column index
  `protected int`
  `cellRowIdx`
  the "container" type row index
  `protected boolean`
  `isEnumConverted`
  if the enum mapped value is shown
  `protected NumberFormat`
  `numberFormat`
  the number format type
  `protected boolean`
  `showAsBin`
  if data shows in binary format
  `protected boolean`
  `showAsHex`
  if the data shows in hex format

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HDFDisplayConverter(Datatype dtype)`
  create a HDF data converter

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `canonicalToDisplayValue(Object value)`
  `Object`
  `displayToCanonicalValue(Object value)`
  `void`
  `setConvertEnum(boolean convert)`
  set if the enum mapped value is shown
  `void`
  `setNumberFormat(NumberFormat format)`
  set the number format type
  `void`
  `setShowAsBin(boolean asBin)`
  set if data shows in binary format
  `void`
  `setShowAsHex(boolean asHex)`
  set if the data shows in hex format

  ### Methods inherited from class org.eclipse.nebula.widgets.nattable.data.convert.DisplayConverter

  `canonicalToDisplayValue, displayToCanonicalValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### numberFormat

    protected NumberFormat numberFormat
    the number format type

  - ### showAsHex

    protected boolean showAsHex
    if the data shows in hex format

  - ### showAsBin

    protected boolean showAsBin
    if data shows in binary format

  - ### isEnumConverted

    protected boolean isEnumConverted
    if the enum mapped value is shown

  - ### cellRowIdx

    protected int cellRowIdx
    the "container" type row index

  - ### cellColIdx

    protected int cellColIdx
    the "container" type column index

- ## Constructor Details

  - ### HDFDisplayConverter

    HDFDisplayConverter(Datatype dtype)
    create a HDF data converter
    Parameters:
      `dtype` - the datatype for conversion

- ## Method Details

  - ### canonicalToDisplayValue

    public Object canonicalToDisplayValue(Object value)
    Specified by:
      `canonicalToDisplayValue` in interface `org.eclipse.nebula.widgets.nattable.data.convert.IDisplayConverter`
    Specified by:
      `canonicalToDisplayValue` in class `org.eclipse.nebula.widgets.nattable.data.convert.DisplayConverter`

  - ### displayToCanonicalValue

    public Object displayToCanonicalValue(Object value)
    Specified by:
      `displayToCanonicalValue` in interface `org.eclipse.nebula.widgets.nattable.data.convert.IDisplayConverter`
    Specified by:
      `displayToCanonicalValue` in class `org.eclipse.nebula.widgets.nattable.data.convert.DisplayConverter`

  - ### setNumberFormat

    public void setNumberFormat(NumberFormat format)
    set the number format type
    Parameters:
      `format` - the data format

  - ### setShowAsHex

    public void setShowAsHex(boolean asHex)
    set if the data shows in hex format
    Parameters:
      `asHex` - if the data shows as hex format

  - ### setShowAsBin

    public void setShowAsBin(boolean asBin)
    set if data shows in binary format
    Parameters:
      `asBin` - if the data shows as binary format

  - ### setConvertEnum

    public void setConvertEnum(boolean convert)
    set if the enum mapped value is shown
    Parameters:
      `convert` - if the enum data should be converted